﻿using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media.Imaging;


namespace ItemsInRadCarouselPanel
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			 
			List <Image> myImages = new List<Image>();

			Image myImage = new Image();
			myImage.Source = new BitmapImage(new Uri("/Images/Desert.jpg", UriKind.Relative));
			myImages.Add(myImage);
			
			Image myImage1 = new Image();
			myImage1.Source = new BitmapImage(new Uri("/Images/Koala.jpg", UriKind.Relative));			
			myImages.Add(myImage1);
			
			Image myImage2 = new Image();
			myImage2.Source = new BitmapImage(new Uri("/Images/Tulips.jpg", UriKind.Relative));			
			myImages.Add(myImage2);
		
			Image myImage3 = new Image();
			myImage3.Source = new BitmapImage(new Uri("/Images/Penguins.jpg", UriKind.Relative));			
			myImages.Add(myImage3);

			foreach (Image img in myImages)
			{
				this.MyCarousel.ItemsSource = myImages;
			}

			this.MyCarousel.Loaded += new RoutedEventHandler(Panel_Loaded);
		}

		void Panel_Loaded(object sender, RoutedEventArgs e)
		{
			this.MyCarousel.BringDataItemIntoView(this.MyCarousel.Items[2]);										
		}

		private void RadButton_Click(object sender, RoutedEventArgs e)
		{
			this.MyCarousel.ItemsSource = null;
			List<Image> myImages = new List<Image>();

			Image myImage = new Image();
			myImage.Source = new BitmapImage(new Uri("/Images/Chrysanthemum.jpg", UriKind.Relative));
			myImages.Add(myImage);

			Image myImage1 = new Image();
			myImage1.Source = new BitmapImage(new Uri("/Images/Hydrangeas.jpg", UriKind.Relative));
			myImages.Add(myImage1);

			Image myImage2 = new Image();
			myImage2.Source = new BitmapImage(new Uri("/Images/Lighthouse.jpg", UriKind.Relative));
			myImages.Add(myImage2);

			Image myImage3 = new Image();
			myImage3.Source = new BitmapImage(new Uri("/Images/Jellyfish.jpg", UriKind.Relative));
			myImages.Add(myImage3);

			foreach (Image img in myImages)
			{
				this.MyCarousel.ItemsSource = myImages;
			}

			//this.MyCarousel.FindCarouselPanel().PageDown();
			this.MyCarousel.BringDataItemIntoView(this.MyCarousel.Items[2]);	
		}
		}
	
}
